<?php
declare (strict_types = 1);

namespace app\admin\model\v1;

use app\common\model\ProductTcoCategoryBaseModel;
use think\model\concern\SoftDelete;

/**
 * 产品 - 产品目录分类同步记录模型
 * @mixin \think\Model
 */
class ProductTcoCategoryModel extends ProductTcoCategoryBaseModel
{
    // 启用软删除
    use SoftDelete;
    // 软删除字段
    protected $deleteTime = 'deleted_at';

    // 根据语言查询
    public function scopeLanguage($query, $value)
    {
        $query->where('language_id', '=', $value);
    }

    // 根据 tco_id 查询
    public function scopeTcoId($query, $value)
    {
        $query->where('tco_id', '=', $value);
    }

    // 根据ERP Code查询
    public function scopeErpCode($query, $value)
    {
        $query->where('erp_code', '=', $value);
    }

    // 按分类名称搜索
    public function searchNameAttr($query, $value, $data)
    {
        if (is_null($value)) {
            return;
        }
        $query->where('name', 'like', "%{$value}%");
    }

    // 只查询启用的
    public function scopeEnabled($query)
    {
        $query->where('disabled', '=', 0);
    }
}
